Skip to main content
`Ctrl`+`K`

# NEPNLEIGSSetLocking

Choose between locking and non-locking variants of the NLEIGS method.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSSetLocking(NEP nep,PetscBool lock)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- lock - true if the locking variant must be selected

## Options Database Key

- -nep_nleigs_locking - sets the locking flag

## Notes

The default is to lock converged eigenpairs when the method restarts. This behavior can be changed so that all directions are kept in the working subspace even if already converged to working accuracy (the non-locking variant).

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGS`, `NEPNLEIGSGetLocking()`

## Level

advanced

## Location

src/nep/impls/nleigs/nleigs.c

## Implementations

NEPNLEIGSSetLocking_NLEIGS() in src/nep/impls/nleigs/nleigs.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages